Show / Hide Table of Contents

# Struct PlayerState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct PlayerState

### Fields

| Improve this Doc View Source

#### Attributes

##### Declaration

    public int *Attributes

##### Field Value

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### BaseDexterity

##### Declaration

    public int BaseDexterity

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseIntelligence

##### Declaration

    public int BaseIntelligence

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseMind

##### Declaration

    public int BaseMind

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BasePiety

##### Declaration

    public int BasePiety

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseRestedExperience

##### Declaration

    public uint BaseRestedExperience

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### BaseStrength

##### Declaration

    public int BaseStrength

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseVitality

##### Declaration

    public int BaseVitality

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BirthDay

##### Declaration

    public byte BirthDay

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BirthMonth

##### Declaration

    public byte BirthMonth

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CharacterName

##### Declaration

    public byte *CharacterName

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ClassJobExpArray

##### Declaration

    public int *ClassJobExpArray

##### Field Value

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### ClassJobLevelArray

##### Declaration

    public short *ClassJobLevelArray

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### ContentId

##### Declaration

    public ulong ContentId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### CurrentClassJobId

##### Declaration

    public byte CurrentClassJobId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentLevel

##### Declaration

    public short CurrentLevel

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### DesynthesisLevels

##### Declaration

    public uint *DesynthesisLevels

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### FavouriteAetheryteArray

##### Declaration

    public byte *FavouriteAetheryteArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### FavouriteAetheryteCount

##### Declaration

    public byte FavouriteAetheryteCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FirstClass

##### Declaration

    public byte FirstClass

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FishingBait

##### Declaration

    public uint FishingBait

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FreeAetheryteId

##### Declaration

    public byte FreeAetheryteId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GCRankImmortalFlames

##### Declaration

    public byte GCRankImmortalFlames

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GCRankMaelstrom

##### Declaration

    public byte GCRankMaelstrom

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GCRankTwinAdders

##### Declaration

    public byte GCRankTwinAdders

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GrandCompany

##### Declaration

    public byte GrandCompany

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GuardianDeity

##### Declaration

    public byte GuardianDeity

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HomeAetheryteId

##### Declaration

    public byte HomeAetheryteId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsLevelSynced

##### Declaration

    public byte IsLevelSynced

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsLoaded

##### Declaration

    public byte IsLoaded

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxExpansion

##### Declaration

    public byte MaxExpansion

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxLevel

##### Declaration

    public byte MaxLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ObjectId

##### Declaration

    public uint ObjectId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PlayerCommendations

##### Declaration

    public short PlayerCommendations

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### QuestSpecialFlags

##### Declaration

    public byte QuestSpecialFlags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Race

##### Declaration

    public byte Race

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Sex

##### Declaration

    public byte Sex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### StartTown

##### Declaration

    public byte StartTown

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SyncedLevel

##### Declaration

    public short SyncedLevel

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Tribe

##### Declaration

    public byte Tribe

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UnlockFlags

##### Declaration

    public byte *UnlockFlags

##### Field Value

Type | Description
--- | ---
System.Byte* |

### Properties

| Improve this Doc View Source

#### IsLegacy

##### Declaration

    public readonly bool IsLegacy { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWarriorOfLight

##### Declaration

    public readonly bool IsWarriorOfLight { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### GetBeastTribeAllowance()

##### Declaration

    public static ulong GetBeastTribeAllowance()

##### Returns

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### GetBeastTribeRank(Byte)

##### Declaration

    public byte GetBeastTribeRank(byte beastTribeIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | beastTribeIndex |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetDesynthesisLevel(UInt32)

##### Declaration

    public float GetDesynthesisLevel(uint classJobId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | classJobId |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetGrandCompanyRank()

##### Declaration

    public byte GetGrandCompanyRank()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static PlayerState*Instance()

##### Returns

Type | Description
--- | ---
PlayerState* |

| Improve this Doc View Source

#### IsAetherCurrentUnlocked(UInt32)

##### Declaration

    public bool IsAetherCurrentUnlocked(uint aetherCurrentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | aetherCurrentId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsFolkloreBookUnlocked(UInt32)

##### Declaration

    public bool IsFolkloreBookUnlocked(uint tomeId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | tomeId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsFramersKitUnlocked(UInt32)

##### Declaration

    public bool IsFramersKitUnlocked(uint kitId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | kitId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMcGuffinUnlocked(UInt32)

##### Declaration

    public bool IsMcGuffinUnlocked(uint mcGuffinId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | mcGuffinId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMountUnlocked(UInt32)

##### Declaration

    public bool IsMountUnlocked(uint mountId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | mountId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsOrchestrionRollUnlocked(UInt32)

##### Declaration

    public bool IsOrchestrionRollUnlocked(uint rollId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | rollId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsOrnamentUnlocked(UInt32)

##### Declaration

    public bool IsOrnamentUnlocked(uint ornamentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | ornamentId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSecretRecipeBookUnlocked(UInt32)

##### Declaration

    public bool IsSecretRecipeBookUnlocked(uint tomeId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | tomeId |

##### Returns

Type | Description
--- | ---
System.Boolean |